- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Signals | Public Member Functions | Protected Member Functions

# QX11EmbedWidget Class Reference

Search for all occurrences

## Detailed Description

Definition at line 54 of file qx11embed_x11.h.

`#include <qx11embed_x11.h>`

Inheritance diagram for QX11EmbedWidget:
[legend]

List of all members.

## Public Types
enum | Error { Unknown, Internal, InvalidWindowID }
## Signals
void | embedded ()
void | containerClosed ()
void | error (QX11EmbedWidget::Error error)
## Public Member Functions
| QX11EmbedWidget (QWidget *parent=0)
| ~QX11EmbedWidget ()
void | embedInto (WId id)
WId | containerWinId () const
Error | error () const
## Protected Member Functions
bool | x11Event (XEvent *)
bool | eventFilter (QObject *, QEvent *)
bool | event (QEvent *)
void | resizeEvent (QResizeEvent *)

## Member Enumeration Documentation

enum Error

Search for all occurrences

Enumerator:

  Unknown | Search for all occurrences
  Internal | Search for all occurrences
  InvalidWindowID | Search for all occurrences

Definition at line 64 of file qx11embed_x11.h.

                   {
        Unknown,
        Internal,
        InvalidWindowID
        };

## Constructor & Destructor Documentation

QX11EmbedWidget | ( | QWidget * | parent = `0` | ) |

~QX11EmbedWidget | ( |  | ) |

## Member Function Documentation

void embedInto | ( | WId | id | ) |

Search for all occurrences

WId containerWinId | ( |  | ) | const

Search for all occurrences

Error error | ( |  | ) | const

Search for all occurrences

void embedded | ( |  | ) | `[signal]`

Search for all occurrences

void containerClosed | ( |  | ) | `[signal]`

Search for all occurrences

void error | ( | QX11EmbedWidget::Error | error | ) | `[signal]`

Search for all occurrences

bool x11Event | ( | XEvent * |  | ) | `[protected]`

Search for all occurrences

bool eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

bool event | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void resizeEvent | ( | QResizeEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

The documentation for this class was generated from the following file:

- QtGui/qx11embed_x11.h

QX11EmbedWidget QX11EmbedWidget QX11EmbedWidget QX11EmbedWidget QX11EmbedWidget QX11EmbedWidget QX11EmbedWidget QX11EmbedWidget QX11EmbedWidget QX11EmbedWidget
QX11EmbedWidget QX11EmbedWidget QX11EmbedWidget QX11EmbedWidget QX11EmbedWidget QX11EmbedWidget QX11EmbedWidget QX11EmbedWidget QX11EmbedWidget QX11EmbedWidget